javax.validation.executable

## Enum ExecutableType

- java.lang.Object
- - java.lang.Enum<ExecutableType>
  - - javax.validation.executable.ExecutableType

- All Implemented Interfaces:
    Serializable, Comparable<ExecutableType>

      public enum ExecutableType
      extends Enum<ExecutableType>

  Defines the types of executables targeted by an operation.
  Since:
    1.1
  Author:
    Emmanuel Bernard

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` All executables (constructors and methods).
    `CONSTRUCTORS` All constructors.
    `GETTER_METHODS` /** All methods following the getter pattern.
    `IMPLICIT` If the annotation using `ExecutableType` is on a type (class or interface), the behavior is equivalent to the annotation not being present.
    `NON_GETTER_METHODS` All methods except the ones following the getter pattern.
    `NONE` None of the executables.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExecutableType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ExecutableType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IMPLICIT

          public static final ExecutableType IMPLICIT

      If the annotation using `ExecutableType` is on a type (class or interface), the behavior is equivalent to the annotation not being present.

      If on a constructor, it is equivalent to `CONSTRUCTORS`.

      If on a non-getter method, it is equivalent to `NON_GETTER_METHODS`.

      If on a getter method, it is equivalent to `GETTER_METHODS`.

    - #### NONE

          public static final ExecutableType NONE

      None of the executables.

      Note that this option is equivalent to an empty list of executable types and is present to improve readability. If `NONE` and other types of executables are present in a list, `NONE` is ignored.

    - #### CONSTRUCTORS

          public static final ExecutableType CONSTRUCTORS

      All constructors.

    - #### NON_GETTER_METHODS

          public static final ExecutableType NON_GETTER_METHODS

      All methods except the ones following the getter pattern. A getter according to the JavaBeans specification is a method whose:
      - name starts with get, has a return type but no parameter
      - name starts with is, has a return type and is returning `boolean`.

    - #### GETTER_METHODS

          public static final ExecutableType GETTER_METHODS

      /** All methods following the getter pattern. A getter according to the JavaBeans specification is a method whose:
      - name starts with get, has a return type but no parameter
      - name starts with is, has a return type and is returning `boolean`.

    - #### ALL

          public static final ExecutableType ALL

      All executables (constructors and methods).

  - ### Method Detail

    - #### values

          public static ExecutableType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExecutableType c : ExecutableType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExecutableType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.